package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : 阮世耀
 * @version : 1.0
 * 领料任务状态枚举
 */
@Getter
public enum LeaseTaskStatusEnum {

    LEASE_TASK_TO_PUBLISHED(1, "待发布"),
    LEASE_TASK_TO_AUDIT(2, "待审核"),
    LEASE_TASK_IN_PROGRESS(3, "出库进行中"),
    LEASE_TASK_FINISHED(4, "出库已完成");

    private final Integer status;
    private final String statusName;

    LeaseTaskStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
